This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 63214 - wish a default charset for Japanese.
wish a default charset for Japanese.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-04-11 05:15 EDT by Akira TAGOH
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-11 18:13:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Here's patch. (646 bytes, patch)
2002-04-11 05:16 EDT, Akira TAGOH
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2002-04-11 05:15:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020402

Description of problem:
Evolution uses EUC-JP as default charset for Japanese, and message-body is
encoded by base64. that's right. However we have long been used ISO-2022-JP for
sending raw Japanese messages. Right now we can read base64-encoded e-mail with
most MUA. but there are the people it doesn't like. for example, people which
uses CUI MUA like mail and mailx, or want to check some e-mail with text. in
these cases, base64-encoded e-mail may not be welcome. so in order that
Evolution will get many users in Japan, I wish default charset for Japanese will
be changed to ISO-2022-JP.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.if you have ~/evolution, please rename it to something or remove it.
2.runs evolution with LANG=ja_JP.eucJP
3.see mail preference.
	

Actual Results:  a default charset should be Japanese (EUC-JP)

Expected Results:  a default charset should be Japanese (ISO-2022-JP)

Additional info:
Comment 1 Akira TAGOH 2002-04-11 05:16:27 EDT
Created attachment 53385 [details]
Here's patch.
Comment 2 Jeremy Katz 2002-04-11 18:13:25 EDT
I've forwarded this to evolution-patches for comments before adding to our packages
Comment 3 Jeremy Katz 2002-04-15 02:43:28 EDT
Included in evolution-1.0.3-4 which is building now as ettore seemed to think it
was reasonable

Note You need to log in before you can comment on or make changes to this bug.